<div>
  <button class="btn btn-footer addonbaritem" ng-click="back()" translate="back"></button>
  <a href="#/app/{{f.redirect}}" class="btn btn-footer addonbaritem" ng-click="cancel()" translate='cancel'></a>
  <div class="btn-group dropup addonbaritem">
    <button type="button" class="btn btn-footer" ng-disabled="!f.valid && !f.formvalid || f.record._external" ng-click="save()" translate="save"></button>
    <button type="button" class="btn btn-footer dropdown-toggle" ng-disabled="!f.valid && !f.formvalid || f.record._external" data-toggle="dropdown">
      <span class="caret"></span>
    </button>
    <ul class="dropdown-menu" role="menu">
      <li ng-click="save()"><a href="" translate="save"></a></li>
      <li ng-click="save(true)"><a href="" translate="savennew"></a></li>
    </ul>
  </div>


</div>
